Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.deployment.convertor
Class XslTransformer

    java.lang.Object
      org.jboss.varia.deployment.convertor.XslTransformer

public class XslTransformer
extends Object

XslTransformer is a utility class for XSL transformations.

Author:
  Alex Loubyansky

Constructor Summary
`XslTransformer()`

Method Summary
`static void` | `applyTransformation(InputStream srcIs, OutputStream destOs, InputStream templateIs, Properties outputProps)` Applies transformation.
`static void` | `applyTransformation(InputStream srcIs, OutputStream destOs, InputStream templateIs, Properties outputProps, Properties xslParams)` Applies template `templateIs` to xml source `srcIs` with output properties `outputProps` and parameters `xslParams`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XslTransformer

    public XslTransformer()

Method Detail

### applyTransformation

    public static void applyTransformation(InputStream srcIs,
                                           OutputStream destOs,
                                           InputStream templateIs,
                                           Properties outputProps)
                                    throws TransformerException,
                                           IOException

  Applies transformation. Pre-compiled stylesheet should be used in a thread-safe manner grabbing a new transformer before completing the transformation.

  Throws:
    `TransformerException`
    `IOException`

### applyTransformation

    public static void applyTransformation(InputStream srcIs,
                                           OutputStream destOs,
                                           InputStream templateIs,
                                           Properties outputProps,
                                           Properties xslParams)
                                    throws TransformerException,
                                           IOException

  Applies template `templateIs` to xml source `srcIs` with output properties `outputProps` and parameters `xslParams`. The resulting xml is written to `destOs`

  Throws:
    `TransformerException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.